Bug 41370 - Gnome terminal does not render yellow properly
Gnome terminal does not render yellow properly
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gnome-utils (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-19 11:09 EDT by mach1
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-22 10:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample text demonstrating problem (45 bytes, text/plain)
2001-05-19 11:11 EDT, mach1
no flags Details

  None (edit)
Description mach1 2001-05-19 11:09:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.16-3 alpha; en-US; 0.9)
Gecko/20010224

Description of problem:
The gnome terminal (the xterm accessed from the taskbar) does not properly
implement the rendering escape sequence when the color yellow is specified.
When yellow is specified, red is displayed. All other colors are rendered
properly. The problem does not occur with the color xterm accessed from the
utility menu.

How reproducible:
Always

Steps to Reproduce:
1. Write the escape sequence \033[0;33;40myellow to the terminal.

	

Actual Results:  The characters `yellow' are displayed in red on a black
background.

Expected Results:  The characters `yellow' should have been displayed in
yellow on a black background.

Additional info:

The failure occurs for both foreground and background specifications. The
problem was first noticed in Red Hat Alpha Linux 6.2, but may have occured
in earlier versions. The color xterm accessable from the utility menu
functions properly. Attached is a text file which can be copied to the
terminal to produce the character seguence `redgreenyellow' in the named
colors. This fails on the Gnome terminal but works on the color xterm.
Comment 1 mach1 2001-05-19 11:11:22 EDT
Created attachment 19011 [details]
Sample text demonstrating problem
Comment 2 Bill Nottingham 2001-05-21 14:40:35 EDT
It displays the normal VGA-ish non-bright yellow for me, which is actually
sort of brown.
Comment 3 mach1 2001-05-22 10:40:03 EDT
Exactly my point. Shouldn't it display a dim yellow? I suspect the green
component of the color is smaller than the red component resulting in a color
that is indistinguishable from red unless viewed side by side. For comparison,
display the same colored text using the color xterm or rxvt. The yellow is
clearly yellow even though it is dim. Yellow is commonly considered to consist
of equal parts green and red, regardless of its intensity.
Comment 4 Havoc Pennington 2001-05-22 12:47:59 EDT
This is configurable even - try the "rxvt" color scheme in preferences, it uses
bright yellow. The dim yellow is the Linux console emulation mode which is on by
default.

Note You need to log in before you can comment on or make changes to this bug.